﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.IO;

public class SaveManager : MonoBehaviour
{
    // Start is called before the first frame update
    StreamWriter objWriter;

    [SerializeField]
    string filename;

    [SerializeField]
    GameObject objReference;

    private bool start;


  
    void Start()
    {
        objWriter = new StreamWriter(filename);
        start = true;
    }

    // Update is called once per frame
    void Update()
    {
        if (start)
        {
            Vector3 position = objReference.transform.position;
            string line = position.x + "\t" + position.y + "\t" + position.z;
            objWriter.WriteLine(line);

            if (Input.GetKeyDown(KeyCode.P))
            {
                start = false;
                objWriter.Close();
            }

        }
        
    }
}
